it.csi.mddtools.guigen

## Interface LoginModule

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface LoginModule
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Login Module'.

  The following features are supported:

  - `Internal`
  - `Login UI`
  See Also:
    `GuigenPackage.getLoginModule()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<LoginUI>` | `getLoginUI()` Returns the value of the 'Login UI' containment reference list.
    `boolean` | `isInternal()` Returns the value of the 'Internal' attribute
    `void` | `setInternal(boolean value)` Sets the value of the '`Internal`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isInternal

          boolean isInternal()

      Returns the value of the 'Internal' attribute.

      If the meaning of the 'Internal' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Internal' attribute.
      See Also:
        `setInternal(boolean)`, `GuigenPackage.getLoginModule_Internal()`

    - #### setInternal

          void setInternal(boolean value)

      Sets the value of the '`Internal`' attribute.
      Parameters:
        `value` - the new value of the 'Internal' attribute.
      See Also:
        `isInternal()`

    - #### getLoginUI

          org.eclipse.emf.common.util.EList<LoginUI> getLoginUI()

      Returns the value of the 'Login UI' containment reference list. The list contents are of type `LoginUI`.

      If the meaning of the 'Login UI' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Login UI' containment reference list.
      See Also:
        `GuigenPackage.getLoginModule_LoginUI()`